aboutsummaryrefslogtreecommitdiffstats
path: root/install-sh
diff options
context:
space:
mode:
Diffstat (limited to 'install-sh')
-rwxr-xr-xinstall-sh34
1 files changed, 34 insertions, 0 deletions
diff --git a/install-sh b/install-sh
new file mode 100755
index 0000000..402ea72
--- /dev/null
+++ b/install-sh
@@ -0,0 +1,34 @@
+#! /bin/sh
+# $Id: install-sh,v 1.1 2001/12/06 15:36:55 ukai Exp $
+
+while :
+do
+ case $1 in
+ -m)
+ mode=$2
+ shift; shift
+ ;;
+ -*)
+ shift
+ ;;
+ *)
+ break
+ esac
+done
+
+if [ $# -lt 2 ]; then
+ echo "usage: $0 [-m mode] file1 file2"
+ exit 1
+fi
+
+file=$1
+dest=$2
+
+cp $file $dest
+if [ -n "$mode" ]; then
+ if [ -d $dest ]; then
+ chmod $mode $dest/$file
+ else
+ chmod $mode $dest
+ fi
+fi